Documentação Reward Loyalty

Prerequisites

Before proceeding with the installation, please ensure you meet the following requirements:

Core Requirements

  • PHP Version: 8.2.0 or higher
  • Web Server: Apache
  • Supported Databases:
    • SQLite (Version 3.9 or above)
    • MySQL (Version 5.7 or above)
    • MariaDB (Version 10.3 or above)

Essential PHP Extensions

Ensure the following PHP extensions are installed and activated on your server. Most hosting providers offer these extensions pre-installed, and the installation process will check for their presence:

  • Bcmath (ext-bcmath)
  • Ctype (ext-ctype)
  • cURL (ext-curl)
  • DOM (ext-dom)
  • Exif (ext-exif)
  • Fileinfo (ext-fileinfo)
  • Filter (ext-filter)
  • GD (ext-gd)
  • Hash (ext-hash)
  • Iconv (ext-iconv)
  • Intl (Internationalization) (ext-intl)
  • JSON (ext-json)
  • Libxml (ext-libxml)
  • Mbstring (ext-mbstring)
  • OpenSSL (ext-openssl)
  • PCRE (ext-pcre)
  • PDO (ext-pdo)
  • PDO SQLite (ext-pdo_sqlite)
  • Session (ext-session)
  • Tokenizer (ext-tokenizer)
  • XML (ext-xml)
  • Zlib (ext-zlib)

Note on Shared Hosting

If you're using shared hosting, ensure you have the ability to enable the PHP functions proc_open and proc_close, or verify if they are already enabled.

A Common Misconception: Shared hosting providers often disable these functions due to perceived security risks, especially on platforms like WordPress that allow uncontrolled third-party plugins. However, our software is meticulously developed with a strong focus on security, containing no unverified third-party plugins. Thus, using proc_open and proc_close with our software is secure and maintains server integrity.